Commits

Ian Bicking  committed 3f14473

move regen-docs into bin/

  • Participants
  • Parent commits 655f3e6

Comments (0)

Files changed (2)

File bin/regen-docs

+#!/bin/bash
+
+if [ ! -e 'virtualenv.py' ] ; then
+  echo "You should run this script as ./bin/$(basename $0)"
+  exit 2
+fi
+mkdir -p docs/_static docs/_build
+#for F in basic.css default.css ; do
+#    rm -f docs/_build/_static/$F
+#done
+sphinx-build -E -b html docs/ docs/_build || exit 1
+if [ "$1" = "publish" ] ; then
+  cd docs/
+  echo "Uploading files..."
+  scp -r _build/ root@cloudsilverlining.org:/var/lib/silverlining/writable-roots/bbdocs/virtualenv.openplans.org/
+  ssh root@cloudsilverlining.org 'chown -R www-data:www-data /var/lib/silverlining/writable-roots/bbdocs/'
+fi

File regen-docs

-#!/bin/bash
-
-mkdir -p docs/_static docs/_build
-#for F in basic.css default.css ; do
-#    rm -f docs/_build/_static/$F
-#done
-sphinx-build -E -b html docs/ docs/_build || exit 1
-if [ "$1" = "publish" ] ; then
-  cd docs/
-  echo "Uploading files..."
-  scp -r _build/ root@cloudsilverlining.org:/var/lib/silverlining/writable-roots/bbdocs/virtualenv.openplans.org/
-  ssh root@cloudsilverlining.org 'chown -R www-data:www-data /var/lib/silverlining/writable-roots/bbdocs/'
-fi